DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmAttributeFilter::FilterInterface Struct Referenceabstract

all actual filter implementations must inherit this interface. More...

Inheritance diagram for DcmAttributeFilter::FilterInterface:

## Public Member Functions
virtual | ~FilterInterface ()
| enable virtual destructor.
virtual OFBool | apply (const OFString &value)=0
| apply the actual filter.

## Detailed Description

all actual filter implementations must inherit this interface.

## Member Function Documentation

## ◆ apply()

virtual OFBool DcmAttributeFilter::FilterInterface::apply | ( | const OFString & | value | ) |
| pure virtual

apply the actual filter.

Parameters

  value | the value to be compared with the range of values.

Returns
  OFTrue if value matches one element in the range of values, OFFalse otherwise.

Implemented in DcmAttributeFilter::IteratorBasedFilter< Iterator >.

The documentation for this struct was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcfilter.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2